Subject: [Lsr] Need Clarification on RFC6213

From: parag kaneria <[email-masked]>
Date: Fri, 4 Mar 2022 17:14:52 +0530

Hello All,

I would like to clarify below 2 cases

R1-------------------------R2

R1: Default topo ( MTID 0 ) , Speak IP and IPV6

R2: Multi-topo ( MTID 0 , 2, 3), Speak IP and IPv6

Case 1: both side configured with ipv4 and ipv6 bfd on interface.

Should adj in up state ?

Case 2: R1 only configured with ipv4 bfd on interface.  R2 configured ipv4
and ipv6 bfd on interface.

Should adj be in up state ?

Regards

Parag

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 4 Mar 2022 15:21:04 +0000

Parag –

From: parag kaneria <[email-masked]>
Sent: Friday, March 4, 2022 3:45 AM
To: [email-masked]; Les Ginsberg (ginsberg) <[email-masked]>
Subject: Need Clarification on RFC6213

Hello All,

[LES:] This is a misconfiguration.
For a given topology (AKA MTID), all routers MUST support the same set of NLPIDs. Failure to do so leads to misforwarding. RFC 1195 Section 1.4 is relevant here.

In your example. R1 is using MTID 0 for IPv4 and IPv6.
But R2 is using MTID 0 for IPv4 only.
And, of course, MTIDs 2 and 3 aren’t supported by R1 at all.
Nothing is going to work.

Your problems have nothing to do with the use/non-use of BFD.

    Les

Should adj in up state ?

Case 2: R1 only configured with ipv4 bfd on interface.  R2 configured ipv4 and ipv6 bfd on interface.

Regards
Parag

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 4 Mar 2022 15:38:15 +0000

Parag –

If you still want to go through the (somewhat pedantic) exercise of determining adjacency state – I have added more responses below (LES2: ).
Just understand that things are still not going to work.

From: Lsr <[email-masked]> On Behalf Of Les Ginsberg (ginsberg)
Sent: Friday, March 4, 2022 7:21 AM
To: parag kaneria <[email-masked]>; [email-masked]
Subject: Re: [Lsr] Need Clarification on RFC6213

Parag –

From: parag kaneria <[email-masked]<mailto:[email-masked]>>
Sent: Friday, March 4, 2022 3:45 AM
To: [email-masked]<mailto:[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>
Subject: Need Clarification on RFC6213

Hello All,

    Les

Should adj in up state ?

[LES2:] From POV of  R1, it is supporting IPv4 and IPv6 on MTID 0 – so it requires both IPv4 and IPv6 BFD sessions to be UP in order to bring the adjacency UP.
From POV of R2, it is only supporting IPv4 on MTID 0, so it would be willing to bring the adjacency up if either IPv4 BFD or IPv6 BFD session were up.
Given 3 way handshake, the adjacency is subject to the most restrictive conditions – which is defined by R1.
So adjacency will only be UP if both IPv4 and IPv6 BFD sessions are UP.

[LES2:] Both R1 and R2 only require IPv4 BFD session to be up in order to bring the adjacency UP.
So the adjacency will be UP if the IPv4 BFD session is UP – not otherwise.

Note that BFD itself is not topology aware.

    Les

Regards
Parag